import type { ServerRuntime as SnowpackServerRuntime } from 'snowpack';
import type { AstroConfig } from './@types/astro';
declare type RendererSnowpackPlugin = string | [string, any] | undefined;
interface RendererInstance {
    name: string;
    snowpackPlugin: RendererSnowpackPlugin;
    client: string;
    server: string;
    knownEntrypoints: string[] | undefined;
}
export declare class ConfigManager {
    private astroConfig;
    private resolvePackageUrl;
    private state;
    snowpackRuntime: SnowpackServerRuntime | null;
    configModuleId: string | null;
    private rendererNames;
    private version;
    constructor(astroConfig: AstroConfig, resolvePackageUrl: (pkgName: string) => Promise<string>);
    markDirty(): void;
    update(): Promise<void>;
    isConfigModule(fileExt: string, filename: string): boolean;
    isAstroConfig(filename: string): boolean;
    buildRendererInstances(): Promise<RendererInstance[]>;
    buildSource(contents: string): Promise<string>;
    needsUpdate(): boolean;
    private setRendererNames;
    private importModule;
}
export {};
