import type { AstroConfig } from './@types/astro';
import 'source-map-support/register.js';
interface PageLocation {
    fileURL: URL;
    snowpackURL: string;
}
declare type SearchResult = {
    statusCode: 200;
    location: PageLocation;
    pathname: string;
    currentPage?: number;
} | {
    statusCode: 301;
    location: null;
    pathname: string;
} | {
    statusCode: 404;
};
/** Given a URL, attempt to locate its source file (similar to Snowpack’s load()) */
export declare function searchForPage(url: URL, astroConfig: AstroConfig): SearchResult;
export {};
